{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Bug Reports
{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-bug"></i>
                Bug Reports
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <form method="POST">{% csrf_token %}
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="form-horizontal form-label-left">

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Date Filter
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input id="datepicker" name="selected_date" class="form-control" type="text" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <button id="add" type="submit" class="btn btn-success">Filter</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>

            {% if display_date %}
                <div id="infofield" class="alert alert-success" role="alert" align="center">
                    <div><h4>You are watching comments on <strong>{{ display_date }}</strong></h4>
                    </div>
                </div>
            {% endif %}

            <div class="" role="tabpanel" data-example-id="togglable-tabs">
                <ul id="myTab" class="nav nav-tabs bar_tabs" role="tablist">
                    <li role="presentation" class="active">
                        <a href="#tab_content1" id="home-tab" role="tab"
                           data-toggle="tab"
                           aria-expanded="true">
                            Staffs
                            {% if staff_comments != 0 %}
                                <span class="badge bg-green">{{ staff_comments }}</span>{% endif %}
                        </a>
                    </li>
                    <li role="presentation" class="">
                        <a href="#tab_content2" role="tab" id="profile-tab"
                           data-toggle="tab" aria-expanded="false">
                            Students
                            {% if student_comments != 0 %}
                                <span class="badge bg-green">{{ student_comments }}</span>{% endif %}
                        </a>
                    </li>
                </ul>
                <div id="myTabContent" class="tab-content">
                    <div role="tabpanel" class="tab-pane fade active in" id="tab_content1"
                         aria-labelledby="home-tab">
                        <form>
                            <div class="table-responsive">
                                <table class="table table-hover" align="center" style="">
                                    <thead>
                                    <tr>
                                        <th>S. No.</th>
                                        <th>Staff Name</th>
                                        <th>Department</th>
                                        <th>Designation</th>
                                        <th>Ph No.</th>
                                        <th>Comment</th>
                                        <th>Date</th>
                                        <th>Email Sent Status</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for each in list_of_comments_staff %}
                                        <tr>
                                            <td>{{ forloop.counter }}</td>
                                            <td>
                                                <a href="{% url 'viewprofile' staff_pk=each.user.staff.pk %}">{{ each.user.staff }}</a>
                                            </td>
                                            <td>{{ each.user.staff.department.acronym }}</td>
                                            <td>{{ each.user.staff.designation }}</td>
                                            <td>{{ each.user.staff.phone_number }}</td>
                                            <td style="word-wrap: break-word">{{ each.comment }}</td>
                                            <td>{{ each.date }}</td>
                                            <td>
                                                {% if not each.send_success %}
                                                    <i class="glyphicon glyphicon-remove"></i>
                                                {% endif %}
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </form>
                    </div>
                    <div role="tabpanel" class="tab-pane fade" id="tab_content2"
                         aria-labelledby="profile-tab">
                        <form>
                            <div class="table-responsive">
                                <table class="table table-hover table-condensed" align="center">
                                    <thead>
                                    <tr>
                                        <th>S. No.</th>
                                        <th>Student Name</th>
                                        <th>Department</th>
                                        <th>Batch</th>
                                        <th>Ph No.</th>
                                        <th>Comment</th>
                                        <th>Date</th>
                                        <th>Email Sent Status</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for each in list_of_comments_student %}
                                        <tr>
                                            <td>{{ forloop.counter }}</td>
                                            <td>
                                                <a href="{% url 'userprofile' roll=each.user.student.roll_no %}">{{ each.user.student }}</a>
                                            </td>
                                            <td>{{ each.user.student.department.acronym }}</td>
                                            <td>{{ each.user.student.batch }}</td>
                                            <td>{{ each.user.student.phone_number }}</td>
                                            <td style="word-wrap: break-word">{{ each.comment }}</td>
                                            <td>{{ each.date }}</td>
                                            <td>
                                                {% if not each.send_success %}
                                                    <i class="glyphicon glyphicon-remove"></i>
                                                {% endif %}
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </form>
                    </div>
                </div>
            </div>


        </div>
    </div>
    <script type="text/javascript">
        $(function () {
            $("#datepicker").datepicker();
        });
    </script>
{% endblock %}